public static interface FhirEndpointBuilderFactory.FhirBuilders
| Modifier and Type | Method and Description |
|---|---|
default FhirEndpointBuilderFactory.FhirEndpointBuilder |
fhir(String path)
FHIR (camel-fhir)
Exchange information in the healthcare domain using the FHIR (Fast
Healthcare Interoperability Resources) standard.
|
default FhirEndpointBuilderFactory.FhirEndpointBuilder |
fhir(String componentName,
String path)
FHIR (camel-fhir)
Exchange information in the healthcare domain using the FHIR (Fast
Healthcare Interoperability Resources) standard.
|
default FhirEndpointBuilderFactory.FhirEndpointBuilder fhir(String path)
fhir:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: capabilities, create, delete, history,
load-page, meta, patch, read, search, transaction, update, validate
Path parameter: methodName (required)
What sub operation to use for the selected operationpath - apiName/methodNamedefault FhirEndpointBuilderFactory.FhirEndpointBuilder fhir(String componentName, String path)
fhir:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: capabilities, create, delete, history,
load-page, meta, patch, read, search, transaction, update, validate
Path parameter: methodName (required)
What sub operation to use for the selected operationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel